// Item 23: Prefer non-member non-friend functions to member functions.  98

#include "mec.cch"


if ( dcl_function ) {

	//	warn( 23, "DF %s() ns%d cl%d dm%d", dcl_name(), lin_within_namespace, lin_within_class, dcl_member );

	if ( dcl_definition  ) {
		if ( lin_within_namespace == 0 ) {
			WARN( 23, "Prefer non-member non-friend functions to member functions. { use namespace }" );
		}
		
		if ( dcl_member ) {
			WARN( 23, "Prefer non-member non-friend functions to member functions. { use non-member }" );
		}


	}
	else {
		if ( lin_source ) {
			WARN( 23, "Prefer non-member non-friend functions to member functions. { use headers for decl's }" );
		}
	}
			
	if ( dcl_function_flags & FRIEND_FCN ) {
//		WARN( 23, "Prefer non-member non-friend functions to member functions. { use no friends }" );
	}
}

if ( dcl_friend ) {

	WARN( 23, "Prefer non-member non-friend functions to member functions. { avoid friends }" );
}



